> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenotra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List posts



## OpenAPI

````yaml https://api.usenotra.com/openapi.json get /v1/posts
openapi: 3.1.1
info:
  title: Notra API
  version: 1.0.0
  description: >-
    OpenAPI schema for Notra content endpoints. Use GET /v1/status for public
    reachability. Error responses include recovery guidance.
servers:
  - url: https://api.usenotra.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Content
    description: >-
      Read content. Organization is inferred from the API key
      (identity.externalId).
  - name: Schedules
    description: >-
      Manage scheduled content generation. Organization is inferred from the API
      key (identity.externalId).
  - name: Event Triggers
    description: >-
      Manage event-based content generation triggered by GitHub webhooks.
      Organization is inferred from the API key (identity.externalId).
  - name: Chats
    description: >-
      Manage chat sessions. Organization is inferred from the API key
      (identity.externalId).
  - name: Skills
    description: >-
      Manage reusable writing skills. Organization is inferred from the API key
      (identity.externalId).
paths:
  /v1/posts:
    get:
      tags:
        - Content
      summary: List posts
      operationId: listPosts
      parameters:
        - schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
            description: Sort by creation date
            example: desc
          required: false
          description: Sort by creation date
          name: sort
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
            description: Items per page
            example: 10
          required: false
          description: Items per page
          name: limit
          in: query
        - schema:
            type: integer
            minimum: 1
            default: 1
            description: Page number
            example: 1
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: string
            description: Filter by status using a comma-separated list.
          required: false
          description: Filter by status using a comma-separated list.
          name: status
          in: query
        - schema:
            type: string
            description: Filter by content type using a comma-separated list.
          required: false
          description: Filter by content type using a comma-separated list.
          name: contentType
          in: query
        - schema:
            type: string
            description: Filter by brand identity ID using a comma-separated list.
          required: false
          description: Filter by brand identity ID using a comma-separated list.
          name: brandIdentityId
          in: query
      responses:
        '200':
          description: Posts fetched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  organization:
                    type: object
                    properties:
                      id:
                        type: string
                      slug:
                        type: string
                      name:
                        type: string
                      logo:
                        type:
                          - string
                          - 'null'
                    required:
                      - id
                      - slug
                      - name
                      - logo
                  posts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        title:
                          type: string
                        slug:
                          type:
                            - string
                            - 'null'
                        content:
                          type: string
                          description: >-
                            Rendered HTML for text posts. For image posts, this
                            is the public CDN URL of the rendered image.
                        htmlUrl:
                          type:
                            - string
                            - 'null'
                          description: >-
                            Public CDN URL of the generated HTML artifact for
                            image posts. Null for non-image posts.
                        markdown:
                          type:
                            - string
                            - 'null'
                          description: >-
                            Markdown source for text posts. Null for image
                            posts.
                        rawHtml:
                          type:
                            - string
                            - 'null'
                          description: >-
                            Legacy inline generated HTML for image posts. New
                            generated image HTML is stored as htmlUrl. Null for
                            non-image posts.
                        recommendations:
                          type:
                            - string
                            - 'null'
                        contentType:
                          type: string
                          enum:
                            - changelog
                            - linkedin_post
                            - twitter_post
                            - blog_post
                            - investor_update
                            - image
                        sourceMetadata: {}
                        status:
                          type: string
                          enum:
                            - draft
                            - published
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      required:
                        - id
                        - title
                        - slug
                        - content
                        - htmlUrl
                        - markdown
                        - rawHtml
                        - recommendations
                        - contentType
                        - status
                        - createdAt
                        - updatedAt
                  pagination:
                    type: object
                    properties:
                      limit:
                        type: integer
                        minimum: 1
                      currentPage:
                        type: integer
                        minimum: 1
                      nextPage:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      previousPage:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      totalPages:
                        type: integer
                        minimum: 1
                      totalItems:
                        type: integer
                        minimum: 0
                    required:
                      - limit
                      - currentPage
                      - nextPage
                      - previousPage
                      - totalPages
                      - totalItems
                required:
                  - organization
                  - posts
                  - pagination
        '400':
          description: Invalid path params or query
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Organization not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Authentication service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        recovery:
          type: string
      required:
        - error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Send your API key in the Authorization header as Bearer API_KEY.

````